View Issue Details

IDProjectCategoryView StatusLast Update
0006844Talermechant backendpublic2021-09-02 18:23
Reportersebasjm Assigned ToChristian Grothoff  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006844: order creation with inventory product does not honor quantity
DescriptionI have added a test into the merchant testing suite.

Also I found that it is possible to create a product with a currency different than the merchant support.
This not create an operational problem because after the product is created it return the price with same value but the currency of the merchant.
IMHO it should return 409 Conflict to keep consistency with order API and help stop bugs in new clients.
Steps To Reproducerun test_merchant_order_creation.sh
TagsNo tags attached.

Activities

Christian Grothoff

2021-04-14 14:42

manager   ~0017743

Nice test, fixed in 9fe3318..972e909

Christian Grothoff

2021-09-02 18:23

manager   ~0018351

Fix committed to master branch.

Related Changesets

merchant: master 972e9098

2021-04-14 14:40:16

Christian Grothoff

Details Diff
fix 0006844 Affected Issues
0006844
mod - src/backend/taler-merchant-httpd_private-post-orders.c Diff File
mod - src/backend/taler-merchant-httpd_private-post-products.c Diff File
mod - src/testing/Makefile.am Diff File

Issue History

Date Modified Username Field Change
2021-04-14 00:12 sebasjm New Issue
2021-04-14 00:12 sebasjm Status new => assigned
2021-04-14 00:12 sebasjm Assigned To => Christian Grothoff
2021-04-14 14:42 Christian Grothoff Status assigned => resolved
2021-04-14 14:42 Christian Grothoff Resolution open => fixed
2021-04-14 14:42 Christian Grothoff Fixed in Version => 0.9
2021-04-14 14:42 Christian Grothoff Note Added: 0017743
2021-04-14 14:42 Christian Grothoff Target Version git (master) => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:01 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 972e9098
2021-09-02 18:23 Christian Grothoff Note Added: 0018351